# Class CIM_SARule
extends CIM_PolicyRule

SARule is a base class for defining IKE and IPsec Rules. Although concrete (because it subclasses from a concrete class), it is not intended to be instantiated. It defines a common connection point for associating conditions and actions for both types of rules. Note that each valid PolicyGroup containing SARules MUST use a unique priority number for the Rule in the aggregation, PolicySetComponent.Priority.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicySet
|
+--CIM_PolicyRule
|
+--CIM_SARule

## Direct Known Subclasses

CIM_IKERule
CIM_IPsecRule

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

SARule is a base class for defining IKE and IPsec Rules. Although concrete (because it subclasses from a concrete class), it is not intended to be instantiated. It defines a common connection point for associating conditions and actions for both types of rules. Note that each valid PolicyGroup containing SARules MUST use a unique priority number for the Rule in the aggregation, PolicySetComponent.Priority.

MappingStrings | string | IPSP Policy Model.IETF|SARule
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LimitNegotiation | uint16 |

Description

string

LimitNegotiation is used as part of processing either a key exchange or IPsec Rule. Before proceeding with either a phase 1 or a phase 2 negotiation, this property is checked to determine if the negotiation role of the Rule matches that defined for the negotiation being undertaken (e.g., Initiator, Responder, or Both). If this check fails, then the negotiation is stopped. Note that this only applies to new negotiations and has no effect on either renegotiation or refresh operations with peers for which an established Security Association already exists.

MappingStrings | string | IPSP Policy Model.IETF|SARule.LimitNegotiation
ValueMap | string | 1, 2, 3
Values | string | Initiator-Only, Responder-Only, Either

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
ConditionListType | uint16 | CIM_PolicyRule
CreationClassName | string | CIM_PolicyRule
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Enabled | uint16 | CIM_PolicySet
ExecutionStrategy | uint16 | CIM_PolicyRule
InstanceID | string | CIM_ManagedElement
Mandatory | boolean | CIM_PolicyRule
PolicyDecisionStrategy | uint16 | CIM_PolicySet
PolicyRuleName | string | CIM_PolicyRule
Priority | uint16 | CIM_PolicyRule
RuleUsage | string | CIM_PolicyRule
SequencedActions | uint16 | CIM_PolicyRule
SystemCreationClassName | string | CIM_PolicyRule
SystemName | string | CIM_PolicyRule
PolicyKeywords | string[] | CIM_Policy
PolicyRoles | string[] | CIM_PolicySet

## Class Methods